#ifndef _AY_H_INCLUDED_
#define _AY_H_INCLUDED_

#include "..//..//z80ex-0.15\include\z80ex.h"
#include "../device.h"
#include "../../lib_ay/sndchip.h"
#include "../../lib_ay/sndrender.h"

#define MAX_AY_SOUND_BUFFER_SIZE 2000

class C_Ay : public C_Device
{
	public:

	static unsigned ayCnt;
	static SNDCHIP ayChip;

	void Init(void);
	void Close(void);

	static bool OnInputByte(Z80EX_WORD port, Z80EX_BYTE &retval);
	static bool OnOutputByte(Z80EX_WORD port, Z80EX_BYTE value);
	static void OnFrameStart(void);
	static void OnAfterFrameRender(void);
	static void OnReset(void);
	
	
};

#endif
